<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusTaxonTypePlugin\Application\src\Entity;

use Dedi\SyliusTaxonTypePlugin\Model\TaxonTypeTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Taxon as BaseTaxon;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_taxon")
 */
class Taxon extends BaseTaxon implements TaxonInterface
{
    use TaxonTypeTrait;
}