<?php

declare(strict_types=1);

namespace Dedi\SyliusTaxonTypePlugin\Repository;

use Dedi\SyliusTaxonTypePlugin\Model\TypedTaxonInterface;
use Doctrine\ORM\QueryBuilder;
use Sylius\Bundle\TaxonomyBundle\Doctrine\ORM\TaxonRepository as BaseTaxonRepository;

class TaxonRepository extends BaseTaxonRepository
{
    public function findAllBrands(): QueryBuilder
    {
        return $this->createQueryBuilder('t')
            ->where('t.type = :brand')
            ->setParameter('brand', TypedTaxonInterface::BRAND_TYPE)
        ;
    }
}
